:host {
    width: 100%;
    height: 100%;
}

.flex-column {
    display: flex;
    flex-direction: column;
}

.flex-row {
    display: flex;
    flex-direction: row;
}

.overflow {
    overflow: auto;
}

.description-box{
    text-align: justify;
}

.text-overflow {
    overflow: auto;
    margin-top: 3%;
}

.center {
    justify-content:center;
    align-items: center;
}

.spread {
    justify-content:space-around;
    align-items: center;
}

.full-height {
    height: 100%;
}

.full-width {
    width: 100%;
}

.half-width {
    width: 50%;
}

.additionnal-stat {
    font-size: 15px;
}

.subheader {
    font-size: 25px;
}

.subsection-text {
    font-size: 12px;
}

.subsection {
    line-height: 14px;
    overflow-y: auto;
    text-align: justify;
    border-radius: 15px;
    border: solid 2px darkblue;
    background-color: rgb(196, 236, 249);
    padding: 10px;
    box-shadow: 12px 0 15px -10px rgba(70, 153, 255, 0.8), -12px 0 15px -10px rgba(70, 153, 255, 0.8);
}

#main-container {
    background-color: darkblue;
    width: 100%;
    height: 100%;
}

#content-container {
    align-items: center;
    justify-content: start;
    background-color: lightblue;
    color: black;
    font-size: 20px;
    width: 90%;
    height: 100%;
    box-sizing: border-box;
    box-shadow: 12px 0 30px -10px rgba(70, 153, 255, 0.8), -12px 0 30px -10px rgba(70, 153, 255, 0.8);
}

#header-container {
    width: 100%;
    height: 15%;
    border-bottom: solid 1px darkblue;
    background-color: rgb(125, 203, 229);
}

#section-description-container {
    width: 80%;
    margin-top: 25px;
}

#title {
    font-size: 45px;
    text-shadow: 2px 2px 5px white;
}

#chart-container {
    width: 100%;
    margin-top: 75px;
    height: 400px;
}

#number-viz-switch {
    width: 100%;
    height: 100%;
    margin-left: 50px;
}

#distance-stat {
    width: fit-content;
}